<?php

$documentRoot = $_SERVER["DOCUMENT_ROOT"];
require_once "$documentRoot/libs/REST_Resource.class.php";
require_once "$documentRoot/libs/paloSantoJSON.class.php";
require_once "$documentRoot/libs/paloSantoDB.class.php";
//require_once "$documentRoot/modules/agentlogger_setup/libs/core.class.php";

/*
 * Para esta implementación de REST, se tienen los siguientes URI
 * 
 * 
 *  /RegistrationInfo  application/json
 *      GET     Get registration data
 * 
 */

class ElastixQueues
{

    function URIObject()
    {   
    	$uriObject = NULL;
        $uriObject = new QueuesResource();
        return $uriObject;
    }
}

class GetQueues 
{

    function listQueues()
    {
        $dsn= generarDSNSistema('asteriskuser', 'asterisk');
                     
        $db = new paloDB($dsn); 
        
        $result = $db->fetchTable('SELECT extension, descr FROM queues_config','','');
        
        $queues=Array();
        $cnt=0;
        
        foreach ($result as $row) {
            $res = Array("extension" => $row[0],
                         "descr" => $row[1]); 
            $queues[$cnt] = $res;
            $cnt=$cnt+1;
        }
        return $queues;    
    }
}

class QueuesResource extends REST_Resource
{
    
    function HTTP_GET()
    {
        $json = new paloSantoJSON();
        $queuesData = new GetQueues();
              
        $queues = $queuesData->listQueues();             
  
        $res = Array("Total" => count($queues),
                     "Queues" => $queues);

        $json = new Services_JSON();
        return $json->encode($res);
    }    
}

?>