<?php

$documentRoot = $_SERVER["DOCUMENT_ROOT"];
require_once "$documentRoot/libs/REST_Resource.class.php";
require_once "$documentRoot/libs/paloSantoDB.class.php";
require_once "$documentRoot/libs/paloSantoJSON.class.php";

/*
 * Para esta implementación de REST, se tienen los siguientes URI
 * 
 * 
 *  /RegistrationInfo  application/json
 *      GET     Get registration data
 * 
 */

class RegistrationInfo
{

    function URIObject()
    {   
    	$uriObject = NULL;
        $uriObject = new RegistrationDataResource();
        return $uriObject;
    }
}

class GetRegData 
{

    function listregData()
    {
        
        $db = new paloDB("sqlite3:////var/www/db/OrkestalConfig.db");
 	$query = "SELECT licnumber,company,lockconfiguration,unlockpassword FROM OrkestalConfig WHERE id=1";
	$result = $db->getFirstRowQuery($query,TRUE);
	if($result === FALSE)
		return NULL;
	$res = array();
	if(count($result) > 0)
	        $res = array("license_number"     => $result["licnumber"],
			     "company"   	  => $result["company"],
			     "lock_configuration" => $result["lockconfiguration"],
			     "unlock_password"    => $result["unlockpassword"]
		);
	else
		return NULL;
        return $res;
        
    }
}
class RegistrationDataResource extends REST_Resource
{
    
    function HTTP_GET()
    {
        
        $regData = new GetRegData();
	$json = new Services_JSON();
        $result = $regData->listregData();
	if(!isset($result)){  
		$res = array("error" => "A database error ocurred");
		return $json->encode($res);
	}
        $res = Array("license_number" => $result['license_number'],
                     "lock_configuration" => $result['lock_configuration'],
                     "unlock_password" => $result['unlock_password'],
                     "company" => $result['company']
                    ); 
        
        return $json->encode($res);
    }    
}

?>
